Skip to main content
GET
/
v2
/
onchain
/
wallets
/
{address}
/
redemptions
Wallet redemptions (onchain)
curl --request GET \
  --url https://api.polynode.dev/v2/onchain/wallets/{address}/redemptions
Returns every onchain redemption for a wallet. A redemption is when a user claims their payout after a market resolves. This data is not available through Polymarket’s API. Each redemption is enriched with market metadata.

Request

GET /v2/onchain/wallets/{address}/redemptions?limit=100&offset=0
ParameterTypeLocationDescription
addressstringpathWallet address (0x-prefixed, 40 hex chars)
limitintegerqueryMax results (default 100, max 1000)
offsetintegerquerySkip first N results for pagination

Response

{
  "wallet": "0x2f5653a3761f65c5a299f9839eadbd4d4d679ffa",
  "source": "onchain",
  "count": 1,
  "offset": 0,
  "total_payout": 5,
  "redemptions": [
    {
      "id": "0x655555bc5091e07a453667c20afe4af5df2e099311670abf86a718dc48998b53_0x678",
      "timestamp": 1774749134,
      "condition": "0xedb2d159f7917cedf2ca9fe5b2fe70ba5db7fee23eff951ce8d7f96983cf6a66",
      "index_sets": ["1", "2"],
      "payout": 5,
      "market": "Bitcoin Up or Down - March 28, 9:45PM-9:50PM ET",
      "slug": "btc-updown-5m-1774748700",
      "image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/BTC+fullsize.png"
    }
  ]
}
FieldTypeDescription
total_payoutnumberSum of all payout amounts (USDC) in this page
redemptions[].timestampnumberUnix timestamp of the redemption
redemptions[].conditionstringCondition ID of the resolved market
redemptions[].index_setsarrayOutcome index sets redeemed
redemptions[].payoutnumberUSDC payout amount (0 = losing position redeemed)
redemptions[].marketstringMarket question
redemptions[].slugstringMarket slug
redemptions[].imagestringMarket image URL

Example

curl "https://api.polynode.dev/v2/onchain/wallets/0x2f5653a3761f65c5a299f9839eadbd4d4d679ffa/redemptions?limit=10" \
  -H "x-api-key: YOUR_KEY"

Path Parameters

address
string
required

Wallet address

Query Parameters

limit
integer
default:100

Max results (max 1000)

offset
integer
default:0

Skip first N results

Response

Redemptions